/*
 * Class RT_EXTENSION
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_367 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_367 [] = {0xFF01,1551,366,0xFFFF};
static const EIF_TYPE_INDEX egt_2_367 [] = {0xFF01,366,0xFFFF};
static const EIF_TYPE_INDEX egt_3_367 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_367 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_367 [] = {0xFF01,366,0xFFFF};
static const EIF_TYPE_INDEX egt_6_367 [] = {0xFF01,366,0xFFFF};
static const EIF_TYPE_INDEX egt_7_367 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_367 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_367 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_367 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_367 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_367 [] = {0xFF01,366,0xFFFF};
static const EIF_TYPE_INDEX egt_13_367 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_367 [] = {0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_15_367 [] = {0xFF01,1559,0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_16_367 [] = {0xFF01,0xFFF9,4,840,0,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_17_367 [] = {0xFF01,0xFFF9,5,840,0,869,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_18_367 [] = {0xFF01,1323,0xFFFF};
static const EIF_TYPE_INDEX egt_19_367 [] = {0xFF02,1323,0xFFFF};
static const EIF_TYPE_INDEX egt_20_367 [] = {0xFF01,117,0xFFFF};
static const EIF_TYPE_INDEX egt_21_367 [] = {0xFF01,1592,1323,0xFFFF};


static const struct desc_info desc_367[] = {
	{EIF_GENERIC(NULL), 6604, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_367), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_367), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_367), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_367), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_367), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_367), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_367), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_367), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_367), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_367), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_367), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_367), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02DD /*366*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_367), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6581, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 6587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6588, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6592, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_367), 6593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6605, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_367), 6606, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_367), 6607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_367), 6608, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_367), 6609, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6612, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6613, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6614, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_367), 6618, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_367), 6594, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_367), 6595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6597, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_367), 6598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6599, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6602, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6603, 0xFFFFFFFF},
};
void Init367(void)
{
	IDSC(desc_367, 0, 366);
	IDSC(desc_367 + 1, 1, 366);
	IDSC(desc_367 + 32, 1185, 366);
	IDSC(desc_367 + 34, 732, 366);
	IDSC(desc_367 + 47, 12, 366);
}


#ifdef __cplusplus
}
#endif
